Bug 484507 - Review Request: php-channel-ezc - eZ Components
Review Request: php-channel-ezc - eZ Components
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 484509 484563 484567 490591 490592 490849 490851
  Show dependency treegraph
 
Reported: 2009-02-07 11:17 EST by Guillaume Kulakowski
Modified: 2010-08-29 14:45 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 11:21:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-02-07 11:17:22 EST
This package adds the eZ Components channel which allows PEAR packages
from this channel to be installed.

SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-channel-ezc.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-channel-ezc-1-1.fc10.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-channel-ezc-1-1.fc10.noarch.rpm

rpmlint:
builder@enterprise ~> rpmlint php-*
php-channel-ezc.noarch: W: no-documentation
php-channel-ezc.src:21: W: unversioned-explicit-provides php-channel(ezc)
php-channel-ezc.src:22: W: unversioned-explicit-provides php-channel(%{channel})
php-channel-ezc.spec:21: W: unversioned-explicit-provides php-channel(ezc)
php-channel-ezc.spec:22: W: unversioned-explicit-provides php-channel(%{channel})
2 packages and 1 specfiles checked; 0 errors, 5 warnings.
Comment 1 Remi Collet 2009-02-22 02:44:34 EST
REVIEW
* no source files
* package meets naming and packaging guidelines (recently approved new PHP Guidelines).
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license (of the packages provided by the channel).
* license is open source-compatible (BSD).
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide).
* package installs properly
* rpmlint :
php-channel-ezc.src:21: W: unversioned-explicit-provides php-channel(ezc)
php-channel-ezc.src:22: W: unversioned-explicit-provides php-channel(%{channel})
* final provides are sane:
php-channel(components.ez.no)  
php-channel(ezc)  
php-channel-ezc = 1-1.fc8
* %check is not present; no test suite provide.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear channel..)
* no documentation 

No version for the .xml file, but I think using 1 is OK.

Providing php-channel(ezc) is not usefull and should be removed.

APPROVED
Comment 2 Guillaume Kulakowski 2009-02-22 04:39:49 EST
New Package CVS Request
=======================
Package Name: php-channel-ezc
Short Description: Adds eZ Components channel to PEAR
Owners: llaumgui
Branches: F-9 F-10
InitialCC:
Comment 3 Kevin Fenzi 2009-02-22 14:40:49 EST
cvs done.
Comment 4 Fedora Update System 2009-02-24 15:43:51 EST
php-channel-ezc-1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php-channel-ezc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1948
Comment 5 Fedora Update System 2009-02-24 15:55:05 EST
php-channel-ezc-1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-channel-ezc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2012
Comment 6 Fedora Update System 2009-03-04 11:21:42 EST
php-channel-ezc-1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-03-04 11:24:15 EST
php-channel-ezc-1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Guillaume Kulakowski 2010-08-29 04:50:15 EDT
Package Change Request
======================
Package Name: php-channel-ezc
New Branches: EL-6
Owners: llaumgui
Comment 9 Kevin Fenzi 2010-08-29 14:45:09 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.